---
kind: pipeline
type: docker
name: default

steps:

- name: submodules
  image: alpine/git
  commands:
  - git submodule init
  - git submodule update --recursive --remote
  when:
    event: tag

- name: pandoc
  image: pandoc/alpine:2.14
  commands:
    - sh build-pandoc.sh latex user > user-manual.tex
    - sh build-pandoc.sh latex admin > user-manual.tex
  when:
    event: tag

- name: build-latex
  image: ghcr.io/xu-cheng/texlive-full:latest
  commands:
    - latexmk -pdf -file-line-error -halt-on-error -interaction=nonstopmode -xelatex user-manual.tex
    - latexmk -pdf -file-line-error -halt-on-error -interaction=nonstopmode -xelatex latex-manual.tex
  when:
    event: tag

- name: release
  image: plugins/gitea-release
  settings:
    api_key:
      from_secret: gitea_key
    base_url: https://gitea.champs-libres.be
    files:
      - user-manual.pdf
      - admin-manual.pdf
    checksum:
      - sha512
    title: ${DRONE_COMMIT_REF}
    prerelease: true
  when:
    event: tag
